OpenTTD Source: HouseAnimationBase Struct Reference

OpenTTD Source 15.0-RC2

Static Public Attributes
HouseAnimationBase Struct Reference

Helper class for animation control. More...

Inheritance diagram for HouseAnimationBase:

## Static Public Attributes
static constexpr CallbackID | cb_animation_speed = CBID_HOUSE_ANIMATION_SPEED
static constexpr CallbackID | cb_animation_next_frame = CBID_HOUSE_ANIMATION_NEXT_FRAME
static constexpr HouseCallbackMask | cbm_animation_speed = HouseCallbackMask::AnimationSpeed
static constexpr HouseCallbackMask | cbm_animation_next_frame = HouseCallbackMask::AnimationNextFrame

## Additional Inherited Members
Static Public Member Functions inherited from AnimationBase< HouseAnimationBase, HouseSpec, Town, CargoTypes, GetSimpleHouseCallback, TileAnimationFrameAnimationHelper< Town > >
static void | AnimateTile (const HouseSpec *spec, Town *obj, TileIndex tile, bool random_animation, CargoTypes extra_data=0)
| Animate a single tile.
static void | ChangeAnimationFrame (CallbackID cb, const HouseSpec *spec, Town *obj, TileIndex tile, uint32_t random_bits, uint32_t trigger, CargoTypes extra_data=0)
| Check a callback to determine what the next animation step is and execute that step.

## Detailed Description

Helper class for animation control.

Definition at line 563 of file newgrf_house.cpp.

## Field Documentation

## ◆ cb_animation_next_frame

constexpr CallbackID HouseAnimationBase::cb_animation_next_frame = CBID_HOUSE_ANIMATION_NEXT_FRAME
| staticconstexpr

Definition at line 565 of file newgrf_house.cpp.

## ◆ cb_animation_speed

constexpr CallbackID HouseAnimationBase::cb_animation_speed = CBID_HOUSE_ANIMATION_SPEED
| staticconstexpr

Definition at line 564 of file newgrf_house.cpp.

## ◆ cbm_animation_next_frame

constexpr HouseCallbackMask HouseAnimationBase::cbm_animation_next_frame = HouseCallbackMask::AnimationNextFrame
| staticconstexpr

Definition at line 568 of file newgrf_house.cpp.

## ◆ cbm_animation_speed

constexpr HouseCallbackMask HouseAnimationBase::cbm_animation_speed = HouseCallbackMask::AnimationSpeed
| staticconstexpr

Definition at line 567 of file newgrf_house.cpp.

The documentation for this struct was generated from the following file:

- src/newgrf_house.cpp